Bug 526014 - Review Request:kprof - Profiling results viewer
Review Request:kprof - Profiling results viewer
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
NOTREADY
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-28 06:59 EDT by manuel wolfshant
Modified: 2012-03-19 02:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 02:59:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description manuel wolfshant 2009-09-28 06:59:57 EDT
Spec URL: http://wolfy.fedorapeople.org/kprof/kprof.spec
SRPM URL: http://wolfy.fedorapeople.org/kprof/kprof-1.4.3-3.fc10.src.rpm
Description: 
A visual tool for developers that displays the execution profiling output generated by code profiling tools.


All patches are adapted from debian sid and have been submitted upstream (https://sourceforge.net/tracker/?func=browse&group_id=10250&atid=310250 -> as 2868753 , 2868754 , 2868756 , 2868758 , 2868760 , 2868762 , 2868763 )
The package seems to work fine in Centos 5.
Comment 1 Pavel Alexeev 2010-07-16 17:50:30 EDT
I think you shoud add this comment regard to patches to specfile rather than there.
Comment 2 Pavel Alexeev 2010-07-16 17:55:26 EDT
And there 8 patches listed, in specfile only 7. Do you forgot one?
Comment 3 Pavel Alexeev 2010-07-16 18:34:53 EDT
Legend: + - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.
MUST Items

[+] MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint *
kprof.i586: W: unstripped-binary-or-object /usr/bin/kprof
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[-] MUST: The package must meet the Packaging Guidelines.
Please provide comment similar to one in your post about patches in specfile.

Follow to http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache please redirect errors to /dev/null from command gtk-update-icon-cache, on my machin in install time without it produces next error:
tk-update-icon-cache: No theme index file.

[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[-] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ LANG=C spectool -g kprof.spec 
--2010-07-17 02:16:13--  http://download.sourceforge.net/kprof/kprof-1.4.3.tar.gz
Resolving download.sourceforge.net... 216.34.181.59
Connecting to download.sourceforge.net|216.34.181.59|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2010-07-17 02:16:13 ERROR 404: Not Found.


From what come Source1 absolutely absent even word. Please provide URL.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[N/A] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[N/a] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[N/a] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[N/a] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[+] MUST: Header files must be in a -devel package.
[N/a] MUST: Static libraries must be in a -static package.
[N/a] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[N/a] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[N/a] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[N/a] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.
SHOULD Items:

[+] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[N/a] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[N/a] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[N/a] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[N/a] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Conclusion:
1) First, please fix sources URLs - Source0 and Source1, or add comment how get it.
2) Add comment about patches in spec with link(s).
3) Redirect all output including errors to /dev/null from command gtk-update-icon-cache.
Comment 4 Pavel Alexeev 2010-07-16 18:37:07 EDT
Hmm.
And finally on my Fedora 11 machine it compiled, but even not start:
$ kprof 
kbuildsycoca running...
*** stack smashing detected ***: kprof terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x4d)[0x986c5d]
/lib/libc.so.6[0x986c0a]
kprof[0x8055dc5]
kprof[0x80727cb]
/lib/libc.so.6(__libc_start_main+0xe6)[0x8a9bb6]
kprof[0x8054401]
======= Memory map: ========
00101000-00105000 r-xp 00000000 08:12 311914     /usr/lib/libXfixes.so.3.1.0
00105000-00106000 rw-p 00003000 08:12 311914     /usr/lib/libXfixes.so.3.1.0
00110000-001f7000 r-xp 00000000 08:12 309761     /usr/lib/libkdeprint.so.4.2.0
001f7000-00200000 rw-p 000e6000 08:12 309761     /usr/lib/libkdeprint.so.4.2.0
00200000-00208000 r-xp 00000000 08:12 310017     /usr/lib/libXrender.so.1.3.0
00208000-00209000 rw-p 00007000 08:12 310017     /usr/lib/libXrender.so.1.3.0
00209000-00218000 r-xp 00000000 08:12 310313     /usr/lib/libXext.so.6.4.0
00218000-00219000 rw-p 0000f000 08:12 310313     /usr/lib/libXext.so.6.4.0
00219000-00222000 r-xp 00000000 08:12 310510     /usr/lib/libXi.so.6.0.0
00222000-00223000 rw-p 00008000 08:12 310510     /usr/lib/libXi.so.6.0.0
00223000-0022c000 r-xp 00000000 08:12 311916     /usr/lib/libXcursor.so.1.0.2
0022c000-0022d000 rw-p 00008000 08:12 311916     /usr/lib/libXcursor.so.1.0.2
0022d000-0022f000 r-xp 00000000 08:12 310333     /usr/lib/libXinerama.so.1.0.0
0022f000-00230000 rw-p 00001000 08:12 310333     /usr/lib/libXinerama.so.1.0.0
00230000-0024b000 r-xp 00000000 08:12 309635     /usr/lib/libxcb.so.1.1.0
0024b000-0024c000 rw-p 0001b000 08:12 309635     /usr/lib/libxcb.so.1.1.0
0024c000-00270000 r-xp 00000000 08:12 325806     /lib/libexpat.so.1.5.2
00270000-00272000 rw-p 00024000 08:12 325806     /lib/libexpat.so.1.5.2
00272000-00283000 r-xp 00000000 08:12 101092     /usr/lib/kde3/plugins/styles/highcolor.so
00283000-00284000 rw-p 00011000 08:12 101092     /usr/lib/kde3/plugins/styles/highcolor.so
00286000-0029d000 r-xp 00000000 08:12 309618     /usr/lib/libICE.so.6.3.0
0029d000-0029e000 rw-p 00016000 08:12 309618     /usr/lib/libICE.so.6.3.0
0029e000-002a0000 rw-p 00000000 00:00 0 
002a2000-002a9000 r-xp 00000000 08:12 310599     /usr/lib/libXrandr.so.2.2.0
002a9000-002aa000 rw-p 00006000 08:12 310599     /usr/lib/libXrandr.so.2.2.0
002aa000-002d2000 r-xp 00000000 08:12 101099     /usr/lib/kde3/plugins/styles/kthemestyle.so
002d2000-002d3000 rw-p 00028000 08:12 101099     /usr/lib/kde3/plugins/styles/kthemestyle.so
002d5000-002e8000 r-xp 00000000 08:12 847518     /usr/lib/libXft.so.2.1.13
002e8000-002e9000 rw-p 00012000 08:12 847518     /usr/lib/libXft.so.2.1.13
002e9000-002f7000 r-xp 00000000 08:12 101095     /usr/lib/kde3/plugins/styles/highcontrast.so
002f7000-002f8000 rw-p 0000d000 08:12 101095     /usr/lib/kde3/plugins/styles/highcontrast.so
002f8000-0030f000 r-xp 00000000 08:12 101101     /usr/lib/kde3/plugins/styles/light.so
0030f000-00310000 rw-p 00016000 08:12 101101     /usr/lib/kde3/plugins/styles/light.so
00310000-00330000 r-xp 00000000 08:12 101103     /usr/lib/kde3/plugins/styles/plastik.so
00330000-00331000 rw-p 0001f000 08:12 101103     /usr/lib/kde3/plugins/styles/plastik.so
00347000-00348000 r-xp 00000000 00:00 0          [vdso]
00348000-0042b000 r-xp 00000000 08:12 310479     /usr/lib/libstdc++.so.6.0.12
0042b000-0042f000 r--p 000e2000 08:12 310479     /usr/lib/libstdc++.so.6.0.12
0042f000-00431000 rw-p 000e6000 08:12 310479     /usr/lib/libstdc++.so.6.0.12
00431000-00437000 rw-p 00000000 00:00 0 
00603000-00635000 r-xp 00000000 08:12 101097     /usr/lib/kde3/plugins/styles/keramik.so
00635000-00637000 rw-p 00032000 08:12 101097     /usr/lib/kde3/plugins/styles/keramik.so
006ac000-006e1000 r-xp 00000000 08:12 312656     /usr/lib/liblcms.so.1.0.19
006e1000-006e3000 rw-p 00034000 08:12 312656     /usr/lib/liblcms.so.1.0.19
006e3000-006e5000 rw-p 00000000 00:00 0 
006e7000-00711000 r-xp 00000000 08:12 847228     /usr/lib/libkdefx.so.4.2.0
00711000-00712000 rw-p 0002a000 08:12 847228     /usr/lib/libkdefx.so.4.2.0
00715000-00746000 r-xp 00000000 08:12 847466     /usr/lib/libfontconfig.so.1.4.4
00746000-00748000 rw-p 00030000 08:12 847466     /usr/lib/libfontconfig.so.1.4.4
0074a000-007c3000 r-xp 00000000 08:12 311962     /usr/lib/libkjs.so.1.2.0
007c3000-007c8000 rw-p 00078000 08:12 311962     /usr/lib/libkjs.so.1.2.0
007c8000-007c9000 rw-p 00000000 00:00 0 
00802000-00816000 r-xp 00000000 08:12 847233     /usr/lib/libkdesu.so.4.2.0
00816000-00817000 rw-p 00013000 08:12 847233     /usr/lib/libkdesu.so.4.2.0
00819000-00829000 r-xp 00000000 08:12 847234     /usr/lib/libkwalletclient.so.1.0.1
00829000-0082a000 rw-p 00010000 08:12 847234     /usr/lib/libkwalletclient.so.1.0.1
0083e000-00842000 r-xp 00000000 08:12 326854     /lib/libattr.so.1.1.0
00842000-00843000 rw-p 00003000 08:12 326854     /lib/libattr.so.1.1.0
0086d000-0088b000 r-xp 00000000 08:12 325921     /lib/ld-2.11.so
0088b000-0088c000 r--p 0001d000 08:12 325921     /lib/ld-2.11.so
0088c000-0088d000 rw-p 0001e000 08:12 325921     /lib/ld-2.11.so
0088f000-00890000 r-xp 00000000 08:12 309655     /usr/lib/libutempter.so.1.1.5
00890000-00891000 rw-p 00000000 08:12 309655     /usr/lib/libutempter.so.1.1.5
00893000-00a01000 r-xp 00000000 08:12 325934     /lib/libc-2.11.so
00a01000-00a02000 ---p 0016e000 08:12 325934     /lib/libc-2.11.so
00a02000-00a04000 r--p 0016e000 08:12 325934     /lib/libc-2.11.so
00a04000-00a05000 rw-p 00170000 08:12 325934     /lib/libc-2.11.so
00a05000-00a08000 rw-p 00000000 00:00 0 
00a0a000-00a32000 r-xp 00000000 08:12 1075069    /lib/libm-2.11.so
00a32000-00a33000 r--p 00027000 08:12 1075069    /lib/libm-2.11.so
00a33000-00a34000 rw-p 00028000 08:12 1075069    /lib/libm-2.11.so
00a36000-00a39000 r-xp 00000000 08:12 326060     /lib/libdl-2.11.so
00a39000-00a3a000 r--p 00002000 08:12 326060     /lib/libdl-2.11.so
00a3a000-00a3b000 rw-p 00003000 08:12 326060     /lib/libdl-2.11.so
00a3d000-00a53000 r-xp 00000000 08:12 326152     /lib/libpthread-2.11.so
00a53000-00a54000 r--p 00015000 08:12 326152     /lib/libpthread-2.11.so
00a54000-00a55000 rw-p 00016000 08:12 326152     /lib/libpthread-2.11.so
00a55000-00a57000 rw-p 00000000 00:00 0 
00a59000-00a6b000 r-xp 00000000 08:12 1075068    /lib/libz.so.1.2.3
00a6b000-00a6c000 rw-p 00011000 08:12 1075068    /lib/libz.so.1.2.3
00a6e000-00a70000 r-xp 00000000 08:12 309822     /usr/lib/libXau.so.6.0.0
00a70000-00a71000 rw-p 00001000 08:12 309822     /usr/lib/libXau.so.6.0.0
00a73000-00b9e000 r-xp 00000000 08:12 309668     /usr/lib/libX11.so.6.2.0
00b9e000-00ba2000 rw-p 0012a000 08:12 309668     /usr/lib/libX11.so.6.2.0
00ba4000-00bec000 r-xp 00000000 08:12 310030     /usr/lib/libkparts.so.2.1.0
00bec000-00bf1000 rw-p 00047000 08:12 310030     /usr/lib/libkparts.so.2.1.0
00bff000-00c37000 r-xp 00000000 08:12 847227     /usr/lib/libDCOP.so.4.2.0KCrash: Application 'kprof' crashing...
KCrash cannot reach kdeinit, launching directly.
Comment 5 manuel wolfshant 2010-07-17 09:48:45 EDT
(In reply to comment #2)
> And there 8 patches listed, in specfile only 7. Do you forgot one?    

There are only 7 patches. Maybe you have counted the link to SF's bug tracker, too ?

I am looking over the spec now. The non-existing Source0 comes from SF switching from tar.gz to tar.bz2.. beats me why.
Comment 6 manuel wolfshant 2010-07-17 10:37:17 EDT
Pavel, thank you for taking over the review.
I've updated the spec as follows:
- fixed Source0 link ( download.sf.net => downloads.sf.net, tar.gz => tar.bz2)
- added a comment regarding the patches
- fixed scriplets, redirecting output to /dev/null.
New spec and src.rpm are available at http://wolfy.fedorapeople.org/kprof/kprof.spec and http://wolfy.fedorapeople.org/kprof/kprof-1.4.3-4.el6.src.rpm respectively.

EL6 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2325504
EL5 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2325530
rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2325544

Unfortunately I have no idea why it crashes on your F11. I have tested it over here in Centos5 and RH6beta2 and I have not noticed any problems.
Note: graphviz for EL6 is available in the /optional/ set of packages, not included in the .iso.
Comment 7 Pavel Alexeev 2010-07-29 06:18:05 EDT
Ok, source now correct:
$ md5sum kprof-1.4.3.tar.bz2 kprof-1.4.3.tar.bz2.downloaded
d2b1286f8fea7eb1d3e67215e07d296f  kprof-1.4.3.tar.bz2
d2b1286f8fea7eb1d3e67215e07d296f  kprof-1.4.3.tar.bz2.downloaded.

I have not RHEL or CentOS machine with X now to test, but on Fedora 13 it failed start too. So, if it does not intended for Fedora at all (what is very sorry).

Package APPROVED.
Comment 8 Pavel Alexeev 2010-07-29 06:18:06 EDT
Ok, source now correct:
$ md5sum kprof-1.4.3.tar.bz2 kprof-1.4.3.tar.bz2.downloaded
d2b1286f8fea7eb1d3e67215e07d296f  kprof-1.4.3.tar.bz2
d2b1286f8fea7eb1d3e67215e07d296f  kprof-1.4.3.tar.bz2.downloaded.

I have not RHEL or CentOS machine with X now to test, but on Fedora 13 it failed start too. So, if it does not intended for Fedora at all (what is very sorry) I think it is not big problem.

Package APPROVED.
Comment 9 manuel wolfshant 2010-08-16 06:23:06 EDT
Pavel, thank you for the review.

I have finally been able to reproduce the crash that you have seen. Until I manage to fix it, I am not going to import the package. For the moment I've changed the whiteboard status to "NOTREADY".
Comment 10 Pavel Alexeev 2012-03-18 04:10:49 EDT
ping?
Comment 11 manuel wolfshant 2012-03-19 02:59:03 EDT
hello

 I have to withdraw the request for this package. I no longer have the resources to properly maintain new package submissions for Fedora.

Note You need to log in before you can comment on or make changes to this bug.